[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

2.4 Kernel Makefile



Has anyone managed to compile the 2.4 kernel for the etrax board?
I understand it's not quite ready for mainstream by axis yet (next month?),
but I'd like to
try this out right now.

I've made some changes to the generic makefile to support cross
compiling to the ETRAX, but I get the following error so far:

/usr/local/cris/lib/gcc-lib/cris/2.7.2/gcc -D__KERNEL__
-I/home/matthewh/axis/li
nux/include -D__KERNEL__ -I/home/matthewh/axis/linux/include -Wall
-Wstrict-prot
otypes -O2 -fomit-frame-pointer -fno-strict-aliasing -march=v10
-fno-strict-alia
sing -pipe -D__linux__   -c -o init/main.o init/main.c
cc1: Invalid option `-fno-strict-aliasing'
cc1: Invalid option `-fno-strict-aliasing'
init/main.c:77: #error Sorry, your GCC is too old. It builds incorrect
kernels.

Any ideas ?  my makefile must be wrong.

Regards,

Matt.

CAUTION:  The information contained in this mail message is
confidential and may be legally privileged. No confidentiality
or privilege is waived or lost by any mistransmission. If the
reader of this message is not the intended recipient, you are
hereby notified that any use, dissemination, or reproduction of
this message is prohibited. If you have received this message in
error please notify the sender immediately by email and destroy
the original message. Thank you.